#ifndef __MWINREG

#define __MWINREG

namespace MWinreg
{
  extern bool initd;
  
  bool Init( char const* _basepath );  // HKEY_CURRENT_USER/_basepath debe existir ya
  void Shutdown();

  bool ReadString( 
    char const* _keypath, char const* _valname, 
    char* buff_, int _buffsize );
  void WriteString( 
    char const* _keypath, char const* _valname, 
    char const* _buff );

  bool ReadInt( 
    char const* _keypath, char const* _valname, 
    int* val_ );
  void WriteInt( 
    char const* _keypath, char const* _valname, 
    int _val );

  bool ReadBin( 
    char const* _keypath, char const* _valname, 
    char* buff_, int* _buffsize_ );
  void WriteBin( 
    char const* _keypath, char const* _valname, 
    char const* _buff, int _buffsize );

}


#endif
